#include "logic.h"
#include "vsmt_schedular.h"
#include "vst_idle_base.h"
#include "vst_semi.h"
#include "vst_wait_schedular.h"

VSMT_Schedular::VSMT_Schedular(int iID, const QString& sName)
    : VSMT_Base(iID, sName)
{

}

void VSMT_Schedular::init_Machine()
{
    m_pState_Idle = new VST_Idle_Base(VarState_Idle_Schedular, QObject::trUtf8("Schedular Idle"), this);
    m_pState_Wait = new VstAutoSchedular(VarState_Wait_Schedular, QObject::trUtf8("Schedular Wait"), this);
    m_pState_Semi = new VST_Semi(VarState_Semi_Schedular, QObject::trUtf8("Schedular Test"), this);

    VSMT_Base::init_Machine();
}

